[Noob Question] How to install Java on MacOS for YaCy please?

Hello here,

So I try to install and use YaCy on MacOS for the first time but I’m a beginner with Java.

So I downloaded 4 files:

  • OpenJDK8U-jdk_x64_mac_hotspot_8u242b08.tar.gz
  • OpenJDK8U-jre_x64_mac_hotspot_8u242b08.tar.gz
  • OpenJDK8U-jdk_x64_mac_hotspot_8u242b08.pkg
  • yacy_v1.922_20191013_9964.dmg

I installed OpenJDK8U-jdk_x64_mac_hotspot_8u242b08.pkg first (successfully) and then drag and drop the YaCy.app in my “Applications” folder.

But each time I try to execute YaCy, I have this message:
“To use the” java “command line tools, install a JDK.”
“Click” More Info … “to visit the Java Development Package (JDK) download website.”

Which mean that the Java Librairies aren’t installed on my computer yet. Right?

So I try with the “Terminal” and installed the OpenJDK8U-jdk_x64_mac_hotspot_8u242b08.tar.gz one instead.

And it seems to be successfully installed.

Then going back to YaCy.app but still… I have the same error message. And when I’m retrying to check if Java is installed, I have the same message as before:
“To use the” java “command line tools, install a JDK.”
“Click” More Info … “to visit the Java Development Package (JDK) download website.”

What should I do?

Thanks!

I don’t know this crappy system that well. On my YaCy Server I have installed:
openjdk8-8.192.26_1 Java Development Kit 8
openjdk8-jre-8.192.26_1 Java Runtime Environment 8

It’s on TrueOS (FreeBSD based) - there’s easy with pkg install

Maybe useful:


https://solarianprogrammer.com/2018/09/28/installing-openjdk-macos/

Maybe you just didn’t ask Apple’s permission. Also possible that you have to buy an addon first or Apple has decided that you don’t need and are not allowed to use it. :laughing: